Subject: Re: [dispatch] Maturity level of NNTP and Netnews-related RFCs

From: Julien ÉLIE <[email-masked]>
Date: Fri, 6 Jan 2017 22:14:35 +0100

Hi Barry,

>> I think that RFCs related to NNTP and Netnews can be good candidates to
>> advance from Proposed Standards to Internet Standards.
>
> One snag here has traditionally been that there are lots of
> prerequisites (normative references) that are still at PS.  The major
> ones here are the MIME specs (2045 and 2047) and base64 (4648).

Oh, I was not aware of that prerequisite (not mentioned in RFC 6410).

> To that end, there've been a couple of attempts to start pushing the
> whole batch of SMTP (RFC 5321), message format (RFC 5322), MIME (RFCs
> 2045 thru 2049), and several others up to IS, enabling others batches
> such as NNTP to go afterward.  See the aborted YAM working group for
> one such attempt.
>
> RFCs 5321 and 5322 are really the linchpins for this; we'd need to
> start with those.

OK, I totally understand.
Thanks for having answered, Barry.

Advancing the maturity level of MIME specs and mail do not seem "easy" :-/

>> Though RFC 3977 has lots of errata, I don't think they would cause
>> interoperability failures.  They should be considered more than wording
>> improvements and consistency than interoperability failures.

For a possible future advance of NNTP core spec to Internet Standard, do 
you think a draft like draft-ietf-tsvwg-rfc4960-errata would be useful? 
(which even may be published as informational, for useful reference as 
it may take long time before MIME specs and mail are Internet Standards)
   https://datatracker.ietf.org/doc/draft-ietf-tsvwg-rfc4960-errata/

-- 
Julien ÉLIE

« The following two statements are usually both true:
   There's not enough documentation.
   There's too much documentation. » (Larry Wall)